<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="2.0">
    
    <!-- 
        
        Author: Roger L. Costello
        Version 3.0
        December 29, 2012
        
    -->
    <xsl:include href="higher-order-functions/higher-order-functions.xsl"/>
    
    <xsl:include href="schema-in-context/schema-in-context.xsl"/>
    
    <xsl:include href="input-schemas/input-schema-and-its-dependency-hierarchy.xsl"/>
    <xsl:include href="transform-input-schemas/add-xsd-datatypes-schema.xsl"/>
    <xsl:include href="transform-input-schemas/add-idref-on-includes-imports-redefines.xsl"/>
    <xsl:include href="transform-input-schemas/add-import-xsd-datatypes-schema.xsl"/>
    <xsl:include href="transform-input-schemas/add-id-to-top-level-items.xsl"/>
    <xsl:include href="transform-input-schemas/do-input-transforms.xsl"/>
    
    <xsl:include href="add-idref-substitutionGroupRef-and-targetNamespace/add-idref-substitutionGroupRef-and-targetNamespace.xsl"/>
    <xsl:include href="add-refed-by-substitutionGroup/add-refed-by-substitutionGroup.xsl"/>
    <xsl:include href="inline-complexContent-derive-by-extension/inline-complexContent-derive-by-extension.xsl"/>
    <xsl:include href="inline-complexContent-derive-by-restriction/inline-complexContent-derive-by-restriction.xsl"/>
    <xsl:include href="inline-types/inline-types.xsl"/>
    <xsl:include href="reduce-simpleTypes/reduce-simpleTypes.xsl"/>
    <xsl:include href="elements-and-attributes-with-no-type-specified/add-type-to-elements-and-attributes-with-no-type-specified.xsl"/>
    <xsl:include href="inline-ref/inline-ref.xsl"/>
    <xsl:include href="get-QName-elements-and-attributes/get-QName-elements-and-attributes.xsl"/>
    
    <xsl:include href="complexTypes-that-restrict-mixed-content/complexTypes-that-restrict-mixed-content.xsl"/>
    
    <xsl:include href="complexTypes-with-simpleContent/complexTypes-with-simpleContent.xsl"/>
    
</xsl:stylesheet>