<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:h="http://www.schema-library.org/input-schema-and-its-dependency-hierarchy"
                exclude-result-prefixes="#all"
                version="2.0">
    
    <!-- 
        I created a schema, schema-data-types.xsd,
        that contains a simpleType for each XSD datatype. So this program
        inputs schema-data-types.xsd and appends it to the single file.
        
        Author: Roger L. Costello
    -->
    
    <xsl:function name="h:add-xsd-datatypes-schema" as="document-node()">
        <xsl:param name="schemas" as="document-node()" />
        
        <xsl:variable name="updated-schemas">
            <xsl:apply-templates select="$schemas/schemas" mode="add-xsd-datatypes-schema"/>
        </xsl:variable>
        
        <xsl:sequence select="$updated-schemas" />
        
    </xsl:function>
    
    <xsl:template match="schemas" mode="add-xsd-datatypes-schema"> 
        <schemas> 
            <xsl:sequence select="node() | comment() | processing-instruction()" />
              
            <xsl:variable name="this-xslt-document" select="document('')/*" />
            <xsl:variable name="xsd-simpleTypes-schema" select="document('schema-data-types.xsd', $this-xslt-document)/xs:schema" />
            
            <xsl:for-each select="$xsd-simpleTypes-schema">
                <xsl:variable name="_id" select="generate-id(.)" />
                <xsl:copy>
                    <xsl:copy-of select="@* except (@xml:base, @_id)" />
                    <xsl:attribute name="_id"><xsl:value-of select="$_id" /></xsl:attribute>
                    <xsl:attribute name="xml:base"><xsl:value-of select="base-uri(.)" /></xsl:attribute>
                    <xsl:sequence select="xs:*" />
                </xsl:copy>
                </xsl:for-each>         
        </schemas>  
    </xsl:template>
    
</xsl:stylesheet>