<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    xmlns:h="http://www.schema-library.org/input-schema-and-its-dependency-hierarchy" 
    xmlns:s="http://www.schema-library.org/show/elements/type"
    xmlns:a="http://www.schema-library.org/add/idrefs"
    xmlns:b="http://www.schema-library.org/add/refed/by/substitutionGroup"
    xmlns:m="http://www.schema-library.org/mixed-content/restrict" 
    exclude-result-prefixes="#all" 
    version="2.0">

    <xsl:strip-space elements="*"/>
    
    <!-- 
        
        This tool makes it easier for you to query XML Schemas.
        
        Author: Roger L. Costello
        
    -->
    
    <xsl:include href="../programs/all-xslt-files.xsl"/>
    
    <xsl:variable name="schema" select="/"/>
    
    <xsl:variable name="schemas" select="h:do-input-transforms(h:input-schemas($schema))" />
    <xsl:variable name="schemas-after-adding-idref-substitutionGroupRef-and-targetNamespace" select="a:add-idref-substitutionGroupRef-and-targetNamespace-to-items-in-all-schemas($schemas)" />
    <xsl:variable name="schemas-after-adding-refed-by-substitutionGroup" select="b:add-refed-by-substitutionGroup-to-items-in-all-schemas($schemas-after-adding-idref-substitutionGroupRef-and-targetNamespace)" />
    <xsl:variable name="schemas-after-inlining-complexContent-derived-by-extension" select="s:inline-complexContent-derive-by-extension($schemas-after-adding-refed-by-substitutionGroup)" />
    <xsl:variable name="schemas-after-inlining-complexContent-derived-by-restriction" select="s:inline-complexContent-derive-by-restriction($schemas-after-inlining-complexContent-derived-by-extension)" />
    <xsl:variable name="schemas-after-inlining-types" select="s:inline-types($schemas-after-inlining-complexContent-derived-by-restriction)" />
    <xsl:variable name="schemas-after-reducing-simpleTypes" select="s:reduce-simpleTypes($schemas-after-inlining-types)" />
    <xsl:variable name="schemas-after-adding-types-to-untyped-elements-and-attributes" select="s:add-type-to-elements-and-attributes-with-no-type-specified($schemas-after-reducing-simpleTypes)" />
    <xsl:variable name="schemas-after-inlining-refs" select="s:inline-ref($schemas-after-adding-types-to-untyped-elements-and-attributes)" />
    <xsl:variable name="schemas-after-restricting-mixed-content" select="m:complexTypes-that-restrict-mixed-content($schemas-after-inlining-refs)" />
    <xsl:variable name="schemas-after-complexTypes-with-simpleContent" select="m:complexTypes-with-simpleContent($schemas-after-restricting-mixed-content)" />
    
    <xsl:template match="/">
        <xsl:result-document href="results.xml" method="xml">
            <results>
                <xsl:sequence select="$schemas-after-complexTypes-with-simpleContent" />
            </results> 
        </xsl:result-document>
    </xsl:template>
    
</xsl:stylesheet>